RagTime5StructManager::GObjPropFieldParser Struct Referencefinal

basic parser to read image/main graphic position properties More...

`#include <RagTime5StructManager.hxx>`

Inheritance diagram for RagTime5StructManager::GObjPropFieldParser:

## Public Member Functions

| GObjPropFieldParser (std::string const &name)
| constructor
bool | parseField (Field &field, RagTime5Zone &zone, int n, libmwaw::DebugStream &f) final
| parse a field
Public Member Functions inherited from RagTime5StructManager::FieldParser
| FieldParser (std::string const &zoneName)
| constructor
virtual | ~FieldParser ()
| destructor
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field
virtual bool | parseHeaderField (Field &field, RagTime5Zone &, int, libmwaw::DebugStream &f)
| parse a header field

## Public Attributes

int | m_clusterId
| the id of the zone corresponding to this property (always a clust graph ?)
Public Attributes inherited from RagTime5StructManager::FieldParser
bool | m_regroupFields
| a flag use to decide if we output one debug message by field or not

## Additional Inherited Members

Protected Attributes inherited from RagTime5StructManager::FieldParser
std::string | m_name
| the field name

## Detailed Description

basic parser to read image/main graphic position properties

## Constructor & Destructor Documentation

## GObjPropFieldParser()

RagTime5StructManager::GObjPropFieldParser::GObjPropFieldParser | ( | std::string const & | name | ) |

inline explicit

constructor

## Member Function Documentation

## parseField()

bool RagTime5StructManager::GObjPropFieldParser::parseField | ( | Field & | field,
|  | RagTime5Zone & | zone,
|  | int | n,
|  | libmwaw::DebugStream & | f )

final virtual

parse a field

Reimplemented from RagTime5StructManager::FieldParser.

## Member Data Documentation

## m_clusterId

int RagTime5StructManager::GObjPropFieldParser::m_clusterId

the id of the zone corresponding to this property (always a clust graph ?)

Referenced by GObjPropFieldParser().

The documentation for this struct was generated from the following files:

- RagTime5StructManager.hxx
- RagTime5StructManager.cxx